BS-18. Allocate Books or Book Allocation | Hard Binary Search

Поделиться
HTML-код
  • Опубликовано: 9 июл 2024
  • Problem Link: bit.ly/3MZQOct
    Notes/C++/Java/Python codes:
    We have solved the problem, and we have gone from brute force and ended with the most optimal solution. Every approach's code has been written in the video itself. Also, we have covered the algorithm with intuition.
    Full Course: bit.ly/tufA2ZYt
    You can follow me across social media, all my handles are below:
    Linkedin/Instagram/Telegram: linktr.ee/takeUforward
    0:00 Introduction of Course

Комментарии • 272

  • @manrar8419
    @manrar8419 Год назад +121

    Hi Raj, Hriday here...I have been following your SDE sheet for a while, and I'm ecstatic to share that I've been offered an SDE intern position at Arcesium in my second year of Engineering, All thanks to youuuu !!!!

    • @mohamedsameer137
      @mohamedsameer137 Год назад +3

      Ur LinkedIn profile ?

    • @manrar8419
      @manrar8419 Год назад

      @@mohamedsameer137 search for Hriday Rathi, I'm from Plaksha University

    • @eshitaaaa
      @eshitaaaa Год назад

      Hey, I'm also in the same path looking for interns and following his sheet. Would you like to connect?

    • @AkshayGoel-of8ic
      @AkshayGoel-of8ic 11 месяцев назад

      ​@@manrar8419for sde post, did you do other than the playlist, please tell me....

    • @infinity2creation551
      @infinity2creation551 9 месяцев назад

      @@eshitaaaa whats your linkedin

  • @gunduboinadileep9523
    @gunduboinadileep9523 5 месяцев назад +21

    understood!!.... at 22:30 low = 64 as low = mid+1 => low = 63+1 = 64 : )

  • @Veer_Shiv
    @Veer_Shiv Год назад +96

    Watching the whole playlist is just like watching anime and waiting for upcoming episodes tooo 😝

    • @Lekshmi_sree
      @Lekshmi_sree Год назад +1

      Do you have solve DSA complex problem now?

    • @saketsoni2587
      @saketsoni2587 Год назад

      @@Lekshmi_sree yes i guess

    • @nikhilkumarjamwal5322
      @nikhilkumarjamwal5322 10 месяцев назад +3

      No manga here tho!🌝

    • @omkarshendge5438
      @omkarshendge5438 3 дня назад

      do you go on just watching these videos without looking at the question first by yourself or do u first look at the question yourself and then watch this video?

  • @HarshKumar-ip5nr
    @HarshKumar-ip5nr Год назад +4

    Can wait to get this playlist completed. Thanks for the free content.

  • @user-it6go3fc8p
    @user-it6go3fc8p Месяц назад +8

    17:30 There is a mistake in condition as (cntStud == m) will be true in this testcase but let pages[] = {25, 46, 28, 43, 50}. In this upto 70 pages, 5 students will be returned from second function but the moment 71 is checked no of student required will reduce to 3 as (25+46), (28+43), (50). And condition cntStud == m will reject it. Note that 71 is the maximum pages a student is allowed to take, so i can distribute (25+46), (28), (43), (50) to 4 students.
    Thus condition should be (cntStud

    • @dipingrover1970
      @dipingrover1970 20 дней назад +2

      but bro book with 28 pages and 43 pages will be allocated to 2nd person only as maxlimit of pages is 71 how you distributed in 4 persons can you explain ?

    • @user-it6go3fc8p
      @user-it6go3fc8p 19 дней назад

      @@dipingrover1970 71 is the "maximum limit" a student can hold. As number of students increase it becomes even more easy to distribute so that each of them is having lesser pages than the max limit.
      If I have 4 students, i can distribute in this way : (25+46) (28) (43) (50).

    • @Edward.R19
      @Edward.R19 18 дней назад

      ​@@dipingrover1970 can your give output for arr- 21,32,45,25,78
      M=4
      The answer will be min pages so 53 but 78 coming how reply

    • @dipingrover1970
      @dipingrover1970 17 дней назад

      @@Edward.R19 but bro if we take pages less than 78 then it is not possible for a student to take a book alone of 78 pages .

  • @cinime
    @cinime Год назад +2

    Understood! Super fantastic explanation as always, thank you so so much for your effort!!

  • @Codro09
    @Codro09 3 месяца назад +4

    I firstly watched the whole explanation till linear search then I was able to write the whole code by myself in binary search. Thank you striver

  • @1tav0
    @1tav0 Год назад +2

    Yes!! thank you so so much for the dp and graphs series sir much love and gratitude from ca !

  • @VineetKumar-fk2rl
    @VineetKumar-fk2rl 5 месяцев назад +3

    Once you explained the logic I wrote the code all by myself for both brute and optimal it's because of your lecture my cognitive skill is increasing thanks a lot❤❤❤
    I

  • @secretvibz6300
    @secretvibz6300 Месяц назад +2

    The way you got us to think why Binary Search -> was great !!! ...and this is actually what is to be taught in problem solving sessions. thank You very much Striver

  • @lakshayyadav9850
    @lakshayyadav9850 11 месяцев назад +5

    Respect++ for Raj bhaiya!!
    If i was not learning dsa in such a constructive way idk where would i have been!!
    I solved this question by my own all thanks to you for creating this playlist and i am following your AtoZ sheet its amazing!!!
    Thanks 🌟🌟🌟🌟✨✨

  • @harshith4549
    @harshith4549 Месяц назад +4

    I have a slight correction in the brute force solution. The countStudent returned from the helper function can be less than or equal to number of students(m) given. (cntstu

  • @aswinbarath
    @aswinbarath 4 месяца назад

    You saved my day, Striver bro. I was struggling without the Dry Run of the problem. This video solution is very helpful to understand everything like the approaches using Linear search, Binary Search, the Time Complexity, Dry Run, Intuition and Psuedo code. Thank you so much, bro.

  • @studynewthings1727
    @studynewthings1727 Год назад

    Hi Striver, I watched solution, linear Search wala part twice and I got the point. Thankyou So much.

  • @devateja9045
    @devateja9045 9 месяцев назад

    Man, you are just awesome. More power to you

  • @shankargowd9777
    @shankargowd9777 Год назад +16

    This problem is quite similar to "allocate minimum number of pages" and "painters partition" problems

  • @mrinalchoudhary7525
    @mrinalchoudhary7525 4 месяца назад

    Your explanation is insane. Hats off.

  • @ishangujarathi10
    @ishangujarathi10 Год назад

    lovedd the intuition!!
    understood completely!!!
    tysmm

  • @arujain1690
    @arujain1690 6 месяцев назад +2

    It is hard, one of the question i didn;t get even after reading it like 5 times. Nice explaination as always!

  • @52_it_rohitmukherjee99
    @52_it_rohitmukherjee99 Год назад

    what an explanation ! clearly understood .

  • @084abhigna_y8
    @084abhigna_y8 2 месяца назад +1

    No words to express my gratitude towards the man teaching here 😇

  • @user-hk4oc4dz2k
    @user-hk4oc4dz2k Год назад

    Sir Your explanation is the best, And thanks to you today I was able to solve this problem by my own without seeing your solution code. 🙏🙏

  • @rushidesai2836
    @rushidesai2836 Месяц назад

    Had to watch it twice. One of the most intersting questions I have ever seen.

  • @stith_pragya
    @stith_pragya 5 месяцев назад +1

    UNDERSTOOD...Thank You So Much for this wonderful video..............🙏🏻🙏🏻🙏🏻🙏🏻🙏🏻🙏🏻

  • @user-ti3bd8mp1w
    @user-ti3bd8mp1w 11 месяцев назад

    understood
    Thank you striver for such an amazing explanation

  • @VishalKumar-bj4nl
    @VishalKumar-bj4nl 13 дней назад

    Thank you very much sir. I've Been stuck on this problem from the last 3-4 days,watched a lot of videos but your explanation is just on some different level.

  • @abhayroadlines528
    @abhayroadlines528 7 месяцев назад

    Thank you so much for this wonderful explanation♥

  • @vedfutane7995
    @vedfutane7995 Год назад +21

    Please don't change problem links of A-Z dsa sheet frequently recently all gfg link got replaced with code studio links. It breaks the flow for those who are already preparing from the sheet. Instead of replacing existing links with new link you can add new section for code studio links @takeUforward

    • @pratyushraj2629
      @pratyushraj2629 Год назад +7

      yes , you are right , i believe he is being sponsored by codestudio which is understandable but atleast we should get another set of problem on gfg alongside the others . I personally find that the gfg problems are a little more challenging and greater number of solutions are available , hence i choose gfg, what do u say?

    • @tanishtha-dj1wu
      @tanishtha-dj1wu 10 месяцев назад

      hey i am facing the same problem.If you had made an excel for that,kindly share it @pratyushraj2629

  • @manavsingh5919
    @manavsingh5919 10 месяцев назад

    Thank you Striver Understood Everything🙂

  • @footballcreativeeverywhere260
    @footballcreativeeverywhere260 Год назад +1

    What a tumbnail man !!! ❤️ , Just wow ....

  • @user-dd8bi1ni2k
    @user-dd8bi1ni2k Месяц назад

    Thank you brother now I finally understand this kind of pattern

  • @varungoyal3071
    @varungoyal3071 Месяц назад

    Amazing explanation!!

  • @ritwik121
    @ritwik121 11 месяцев назад

    What an explanation. Thanks striver.

    • @AjithKumaR-jw9wt
      @AjithKumaR-jw9wt 8 месяцев назад

      Hi, I have one doubt pls clarify, In linary search approach questions like this arr-8,9,10,50 student-3 in this how linear search works

  • @hetpatel7399
    @hetpatel7399 Год назад

    Happy Guru Purnima teacher+bhaiya :)

  • @Shunya_Advait
    @Shunya_Advait 10 месяцев назад

    Understood easily Sir, Thanks a lot .

    • @AjithKumaR-jw9wt
      @AjithKumaR-jw9wt 8 месяцев назад

      Hi, I have one doubt pls clarify, In linary search approach questions like this arr-8,9,10,50 student-3 in this how linear search works

  • @riteshbisht94
    @riteshbisht94 Год назад

    Stunning 🎉

  • @artofwrick
    @artofwrick 4 месяца назад

    A god kind of explanation ❤❤

  • @ujjawalraj6096
    @ujjawalraj6096 Год назад +20

    This is not an tough question if you are following this playlist this is an cakewalk
    Solve by own
    Tysm Understood everything❤

  • @Roshan__3006
    @Roshan__3006 3 месяца назад

    Danger bro, amazing my doubt is clear about is question Thank you for your videos.

  • @anish-acharya
    @anish-acharya 9 месяцев назад +1

    This video is more understanding then code help's allocate books. Thanks

    • @AjithKumaR-jw9wt
      @AjithKumaR-jw9wt 8 месяцев назад

      Hi, I have one doubt pls clarify, In linary search approach questions like this arr-8,9,10,50 student-3 in this how linear search works

    • @harshitpatil6138
      @harshitpatil6138 4 месяца назад +1

      Try to minimize your range .Your Range is from 8 to 50 Now you can easily apply linear search on it , and at last your ans will be 16
      @@AjithKumaR-jw9wt

    • @VivekKumar-kx2zf
      @VivekKumar-kx2zf 2 месяца назад

      @@harshitpatil6138 bro , i was also thinking the same . we should apply the binary search from lowest element to sum of array. but striver didn't recommend it.

    • @VivekKumar-kx2zf
      @VivekKumar-kx2zf 2 месяца назад

      @@harshitpatil6138 in that case 10 should be the answer🤔

  • @adityarajvermaa
    @adityarajvermaa 10 месяцев назад

    again even this one .....i coded by myself..thanks bhai

  • @mhsunny123
    @mhsunny123 10 месяцев назад +3

    Exactly same question as LC 1011 : Capacity to Ship Packages within D Days

    • @tejaswaniguttula5961
      @tejaswaniguttula5961 2 месяца назад

      @mhsunny123
      Problem 1: Delivering packages (like in the shipping problem):
      You have a bunch of boxes (packages) to deliver.
      You have a truck with a certain weight limit (capacity).
      You can fit any number of boxes in the truck as long as the total weight doesn't go over the limit.
      Your goal is to find the smallest truck (capacity) that can deliver all the boxes in D days or less.
      Problem 2: Distributing books to students:
      You have a bunch of books to distribute to M students.
      Each student must get at least one book.
      You can't give half a book to a student, they need a whole one (contiguous block).
      Your goal is to find a way to distribute the books so that every student gets at least one book.
      Why the code checks differently:
      In the delivery problem: You're looking for the smallest truck that works. So, if you find a capacity that lets you deliver everything in D days or less, you know you can probably do even better with a smaller truck (hence checking numberOfDays

  • @user-zn4xn9qx2n
    @user-zn4xn9qx2n 10 месяцев назад

    Understood and thanks😊

  • @Freefire-hp4zz
    @Freefire-hp4zz Год назад +1

    Waiting for STRING PROBLEM PLAYLIST STRIVER BHAI HOPE YOU WILL DO IT BEFORE MY PLACEMENT STARTS

  • @NazeerBashaShaik
    @NazeerBashaShaik 2 месяца назад

    Understood, thank you.

  • @PiyushKumar-xe1ng
    @PiyushKumar-xe1ng 6 дней назад

    found it easier than aggressive cows , when you are able to conceptualise a question in your mind then it becomes easier to write it in a code

  • @YourCodeVerse
    @YourCodeVerse 6 месяцев назад

    Understood✅🔥🔥

  • @user-is6ky7pp2n
    @user-is6ky7pp2n Месяц назад

    Understood !! 😍😍

  • @user-or5oz1pk2x
    @user-or5oz1pk2x 2 месяца назад

    Thanks a lot Bhiya

  • @MJBZG
    @MJBZG 7 дней назад

    could solve it myself, thanks!

  • @aadharjain313
    @aadharjain313 9 месяцев назад

    Hi raj , A small doubt.
    In the brute force approach , why did in the end when none of the possible values worked , we returned max_element of list and not -1. If max_element of list was a potential answer then it should have been taken care in the loop only.

  • @Abhay14
    @Abhay14 6 месяцев назад

    Thanks bhaiya

  • @tusharnanda744
    @tusharnanda744 Год назад

    understood ! completed 335 / 454 of A2Z all beacuse of striver . Thanks a lot

    • @eshitaaaa
      @eshitaaaa Год назад

      Hey, im on the same path, would you like to connect and share your coding journey?

    • @cp65143
      @cp65143 9 месяцев назад

      How many days it takes generally

  • @sanchisingh481
    @sanchisingh481 Год назад

    you know i used the logic of aggresive cows that you had taught in that video and solved this question using a boolean check function , and the runtime beat 100% i know its not that big of a deal haha kabi kabi tukka lag jata hai but it feels good 😄

  • @user-mc6sb4cm9p
    @user-mc6sb4cm9p 11 месяцев назад +7

    Hi Raj, in this video at 22.28 we are choosing the right subarray , so we should take the mid as 64 (i.e mid=mid+1) and not 62 .Right??

  • @Sim_tim
    @Sim_tim Год назад +1

    Hey.... if possible could you please create a video regarding like ... number of other rounds and type of questions asked in those rounds, in product based interviews based on your experience...if possible, it would be helpful.
    Thankyou

  • @GauravJain-zo8gt
    @GauravJain-zo8gt 25 дней назад

    jai jinendra sir

  • @her_soulmate
    @her_soulmate 6 месяцев назад

    Understood 🎉

  • @fettuccine794
    @fettuccine794 11 месяцев назад +2

    Striver is GAWDDDDD man !!! I wish I hadn't wasted my time watching Kunal Kushwaha's videos.

    • @atharvameher5880
      @atharvameher5880 11 месяцев назад

      I am watching Kunals what do I do? Where did he go wrong?

    • @fettuccine794
      @fettuccine794 11 месяцев назад

      ​​@@atharvameher5880 his videos are good for theoritical understanding but not upto the mark for problem solving , you will not be able to evolve to leetcode medium and end up loads of just easy questions also his playlist is incomplete since 2 years . Watch Pepcoding and Strivers videos they are the best , I am able to solve Leetcode Mediums after watching them

    • @akworld2739
      @akworld2739 8 месяцев назад +1

      @@fettuccine794 hi please can u tell me how u r practicing problems
      have u taken any dsa course i am unable to solve the new problems
      kuch easy to ban jate lekin mideum nhi ban pate hai bahi koi tips ho bata ho apne experience se
      i am in third year

    • @fettuccine794
      @fettuccine794 8 месяцев назад

      @@akworld2739 watch the Binary Search playlist by Striver and try to solve them on your own....you can pretty much ace that.....after than if you are doing Java watch Pepcoding videos....watch topics like Hashmaps , Heaps , Priority Queues , Stack , Queues , you will find many Leetcode Medium problems Doable....after that try to Master Recursion which is the most important topic....Pepcoding (Level 1 and Level2) are two of the best Recursion playlist in the internet.....along with Recursion side by side start learning the little Basics of Dynamic programming(just basics) like Memoization.....if you have done enough practice of Recursion , complete LinkedList and Trees....these two are easy topics and are just applications of Recursion....you will be able to solve many Medium problems of these topics.....After all these comes the most important part - Graphs and Dynamic Programming.....for these topic Striver is the best in the internet....better than any other free or paid courses , nobody can beat him....I believe that one should give minimum 3-4 months to Master these topics ....I am also doing DP right now
      Hope this answer helps you !!

    • @fettuccine794
      @fettuccine794 18 дней назад

      ​@@akworld2739, stop watching many tutorials, 1st try to do the problem for 30-40mins by yourself then watch the solution

  • @preetisahani5054
    @preetisahani5054 9 месяцев назад

    hats off to your effort!

    • @AjithKumaR-jw9wt
      @AjithKumaR-jw9wt 8 месяцев назад

      Hi, I have one doubt pls clarify, In linary search approach questions like this arr-8,9,10,50 student-3 in this how linear search works

    • @preetisahani5054
      @preetisahani5054 8 месяцев назад

      start from low, check no. of students required for that and keep increasing if student count comes to be greater that 3

    • @AjithKumaR-jw9wt
      @AjithKumaR-jw9wt 8 месяцев назад

      @@preetisahani5054 I dry run with above example in striver code it give wrong answer, first it will take 8

  • @sanchitdeepsingh9663
    @sanchitdeepsingh9663 Месяц назад

    these are the toughest ques on BS , there is also feel of CP in these ques

  • @ambaradhikari7425
    @ambaradhikari7425 Год назад

    Bhaiya thank u for the solution, please complete within next 2months if possible placement season coming up, please bhaiya

  • @googleit2490
    @googleit2490 Год назад

    Understood, was enough difficult though!!

  • @devils9844
    @devils9844 Год назад +5

    Bhaiya I understand that you want to keep the course at a comfortable pace for better understanding, but i feel the frequencies of the videos should be increased as i think the course is moving too slow.
    Maybe its just me, but i thought that i would let you know. Thank you bhaiya for this amazing free course

    • @takeUforward
      @takeUforward  Год назад +12

      No it is not that, it's just that lately I have a lot of office work, which does not leaves me with much time, I am just too exhausted, and apart from some topics, almost all are done, so I am going at my pace.

    • @ambaradhikari7425
      @ambaradhikari7425 Год назад +1

      @@takeUforward bro linked list, string, stack, queue, heaps, bit manipulation these are the topics left, if not all the problems but atleast solve few important problems of all the topics.

    • @kshitijkumre9895
      @kshitijkumre9895 Год назад +1

      @@takeUforward Please don't change problem links of A-Z dsa sheet frequently recently all gfg link got replaced with code studio links. It breaks the flow for those who are already preparing from the sheet. Instead of replacing existing links with new link you can add new section for code studio links

  • @rohanpathak
    @rohanpathak Год назад +3

    Bhaiya thanku for the course, but kab tak complete hojaaega course??❤

  • @mayankshakya9200
    @mayankshakya9200 Год назад

    Sir plz next episode plzzz
    And one question: ki next konsa topic cover karaoge after binary search ??? ❤❤❤❤

  • @RaviKumar-sn6tu
    @RaviKumar-sn6tu 3 месяца назад

    understood!!

  • @sangeeta35
    @sangeeta35 10 месяцев назад

    thank you for the wonderful explanation , i have a little doubt how we are assuring that low is equal to the sum of pages , becoz we are just changing it to mid+1 many times and mid is the average of high and low and there is no surety that mid+1 is equal to the sum elements of array

  • @kshitijkumre9895
    @kshitijkumre9895 Год назад +2

    Please, Do try to complete at least till Sliding Window (or) Heaps (Step:11) of A2Z DSA Course. Only 1 month is remaining for placements😔😶😶

  • @daniarp8958
    @daniarp8958 Год назад

    One doubt, when to start count in helper function with 1 and when to start with 0 ?

  • @NamrathaSairam
    @NamrathaSairam 25 дней назад

    When do we use the opposite polarity concept and when do we use the return mid concept, I am a little confused.

  • @alamkhan6688
    @alamkhan6688 Год назад +3

    sir plz add gfg link in striver SDE A to Z sheet we are halfway done to it

  • @shivangkhandelwal334
    @shivangkhandelwal334 Год назад +2

    I was wondering if we can use sliding window for this problem and simply iterate the window of size (no. of books-no. of students +1) tracking the minimum sum of the elements in the window...Can we use this approach ????

    • @piyush29864
      @piyush29864 2 месяца назад

      it wont work. Window size can vary

  • @Rohangamin517
    @Rohangamin517 6 месяцев назад

    Very easy😊😊

  • @dewanandkumar8589
    @dewanandkumar8589 5 месяцев назад

    Understood

  • @koushtubhvikramaditya1467
    @koushtubhvikramaditya1467 Год назад

    Can you tell what app you are using for explanation? Thank you

  • @nirupamsuraj1634
    @nirupamsuraj1634 11 месяцев назад +2

    If anybody knows please tell which is the video that explains opposite polarity concept, thank you

  • @sohampal1596
    @sohampal1596 Год назад +2

    hey striver please add the gfg links. I have solved many problems on gfg and suddenly it is removed from the A-Z SDE sheet. please give us a choice at least. now my progress is ruined.

  • @user-js1rx8rs9p
    @user-js1rx8rs9p 2 месяца назад

    understood striver

  • @NitinKumar-wm2dg
    @NitinKumar-wm2dg Год назад

    This is similar to shipping belt question from BS playlist, i solved it and then came here. Your approach helps in solving other question also. Thank you bhaiya.

  • @ritikanand3425
    @ritikanand3425 Год назад

    What if it return a value which cannot be made made by adding the number of pages in array

  • @niceguy3773
    @niceguy3773 Год назад +2

    Bro i am feeling a lot difficult in solving strings and heaps related problems could you please cover those as soon as possible...
    I know its difficult for you to manage but atleast can you tell me what i have to do to master these....

  • @sachinvarma9949
    @sachinvarma9949 Месяц назад

    Sir ❤❤❤❤❤❤

  • @firebout7675
    @firebout7675 6 месяцев назад +1

    understood

  • @noone-sb2dv
    @noone-sb2dv Год назад +3

    Hi, i have a question about part of the video with linear search. In that part if and only if helper function returns exactly same number as the number of students it will be satisfied, but if we check it for this test case:
    n = 4; m = 3;
    books = {24, 49, 24, 49}; The solution should be 73, but when the code gets to that point it will return 2, and so on... So 3 will never be returned; Based on this the array of returned values would look like 4, 4, ... 4, 2, 2, ...
    Did I miss something?

    • @noone-sb2dv
      @noone-sb2dv Год назад

      And how would this affect on binary search and proofing.

    • @takeUforward
      @takeUforward  Год назад +4

      So if its under, it means its possible. As you technically can go from 2 to 3, as you have no such barieer, but you cannot come back from 4 to 3. As you have a barrier :)

    • @noone-sb2dv
      @noone-sb2dv Год назад +1

      @@takeUforward Thanks brother. :D

    • @sayantanmanna1360
      @sayantanmanna1360 Год назад +3

      @@takeUforward Ha ha ha, I was struggling with this same issue since 4pm, and here I got my answer. Basically, even if we allocate books to less number of students for a particular value of 'mid' , that might be a possible answer as we can always reduce the number of *books* received by one student and allocate that to someone else (as 'mid' indicates the *maximum* number of *pages* to allocated per head, allowing us to allocate any number of pages less than 'mid') .
      Therefore, we are doing end=mid to preserve this value of mid , when the number of allocation is less than (or equal) the required value.

    • @AdityaKumar-be7hx
      @AdityaKumar-be7hx 10 месяцев назад +2

      ​@@sayantanmanna1360 Is that why the correct way of using "ans" variable is
      This
      if(painters>k){
      low=mid+1;
      } else {
      ans=mid;
      high=mid-1;
      }
      And NOT (basically I thought we are trying to find first occurrence of k in a decreasing array :) )
      if(painters==k){
      ans=mid;
      high=mid-1; // we can have better answer on left
      } else if(painters>k){
      // we should increase the time to decrease the number of painters. Therefore go right
      low=mid+1;
      } else {
      high=mid-1;
      }

  • @shaiksoofi3741
    @shaiksoofi3741 Месяц назад

    underatood

  • @kishorebalakrishnan9283
    @kishorebalakrishnan9283 Год назад

    Is DSA a to z playlist finished or ongoing series because I couldn't find notes and vedios for few problems

  • @pihus3498
    @pihus3498 Год назад

    understood :)

  • @chaitanya812
    @chaitanya812 Год назад

    in which video he explained that always low will be the answer?

  • @profesor6885
    @profesor6885 3 месяца назад

    Hi I have this small doubt ,
    12,34,67,90
    if we put this array in compiler , and compute for the helper function as given in solution, we would get answer to be 2 , shouldnt be 3 since the
    12,34 | 67 | 90 , would be the configuration ?

  • @siddharth892
    @siddharth892 5 месяцев назад

    But what if the subsequences were allowed as in the allocation of books could be discontinuous.

  • @shivarajpatil8699
    @shivarajpatil8699 Год назад +1

    Striver bhai i didn't understand how the opposite polarity will work in this question? both sides were not possilbe in beginning even the high side then how can we decide in these situtations? ik you said high was kind of possible but i don't think that was clear enough for me. if you could elaborate on that part it would be helpful. Thank you for this series btw! You're doing god's work.

    • @takeUforward
      @takeUforward  Год назад +4

      Hi, i have a question about part of the video with linear search. In that part if and only if helper function returns exactly same number as the number of students it will be satisfied, but if we check it for this test case:
      n = 4; m = 3;
      books = {24, 49, 24, 49}; The solution should be 73, but when the code gets to that point it will return 2, and so on... So 3 will never be returned; Based on this the array of returned values would look like 4, 4, ... 4, 2, 2, ...
      Did I miss something?
      Someone asked the same question, I gave the below answer
      So if its under, it means its possible. As you technically can go from 2 to 3 students by limiting some distribution, as you have no such barieer, but you cannot come back from 4 to 3. As you have a barrier :)

  • @shubhamsharma-nb8yd
    @shubhamsharma-nb8yd Год назад

    Can add another edge case - if( m == n ) return low;
    Adding this makes my code 100 percent efficient from 96.03
    :P Just small wins ..

  • @Raj-yr3vz
    @Raj-yr3vz Год назад

    it was asked in my PayPal OA

  • @MJBZG
    @MJBZG 7 дней назад

    hats off to the people who think of these questions like bro who hurt you🥴

  • @ishaanchandak4774
    @ishaanchandak4774 10 месяцев назад

    can we do it with partition dp

  • @arijitdas1965
    @arijitdas1965 Год назад

    ❤️❤️❤️

  • @VishalGupta-xw2rp
    @VishalGupta-xw2rp 9 месяцев назад

    24:50 Opposite Polarity

  • @pranjaltomar2629
    @pranjaltomar2629 10 месяцев назад

    🔥

  • @praveenveen9827
    @praveenveen9827 Год назад

    Striver please tell how to approach bit magic problems